/* Krister Swenson                                                  Winter 2010

Print a list of all the traces corresponding to maximal independent sets
of noninterfering inversions (for the given permutation).
*/

#include <iostream>
#include <vector>
#include "../graph/med.h"
#include "../graph/Pair.h"
#include "../seqtools/seqfuncs.h"
#include "../tools/tools.h"

using namespace std; 




int main()
  {
  int *s1=0;
  cerr << "seq:";
  int s1len = getInputSeq(&s1);

  Ograph g(s1, s1len);   //Build the graph for s1.
  cout << "All Maximal Safe Traces:\n";
  g.printMalWordTraces(cout);

  free(s1);
  return(0);
  }
