/* Krister Swenson                                                  Winter 2010

Print a list of all the traces for the given permutation.
Do it by visiting all prefixes that have only appending reversals
(every reversal visited belongs at the end of a normal form).
*/

#include <iostream>
#include <vector>
#include "../graph/med.h"
#include "../graph/Pair.h"
#include "../seqtools/seqfuncs.h"
#include "../tools/tools.h"

using namespace std; 




int main()
  {
  int *s1=0;
  cerr << "seq:";
  int s1len = getInputSeq(&s1);

  Ograph g(s1, s1len);   //Build the graph for s1.
                         //All maximal sets of first words of a normal form.
                         // (for the traces corresponding to sorting paths)
  cout << "All Traces:\n";
  g.printAppendingTraces(cout);

  free(s1);
  return(0);
  }
