//This file implements the cover generation part of the algorithm

#include "gencov.h"

/*
int main()
{
  int len, i;
  int *dat;  
  //int data[]  = {1, 2, 3, -3, -2, 4, 5, 6, 5, 6, 7, -8};
  //int data[]  = {1, 2, 3, -3, -2, -1, 4, 5, 6, 6, 7, -8};
  int data[]  = {1, 3, -3, -2, 3, 4, 9, 10, 5, 6, 7, -8};
  //int data[]  = {1, 2, 3, -3, -2, 4, 5, 6, 5, 6, 7, -8};

  dat = data;
  len = 12;
  
  dat = renameCopies(dat, len, 17, 8);
  for(i = 0; i < len; ++i)
    fprintf(stderr, "%i ", dat[i]);
  fprintf(stderr, "\n");

  return 0;
}
*/

int* renameCopies(int* S_final, int lenFinal, int renameStart, int maxInS)
  {
  int** cover;
  int cSize, temp, i, j, origStart;
  int* renamed;
  int all[10000];
  int allSize;

  allSize = 0;

  //this is incredibly hacked shit
  renamed = (int*) calloc(lenFinal + 1, sizeof(int));
  renamed[0] = lenFinal;
  for(i = 1; i <= lenFinal; ++i)
    renamed[i] = S_final[i - 1];

  //a bunch pf steps to generate the cover
  cover = extractPefSeq(S_final, lenFinal, &cSize, maxInS);
  temp = cSize;
  //displaySeqs(cover, cSize);
  cover = removeSub(cover, cSize, &temp, lenFinal, 11); //just a random prime
  cSize = temp;
  cover = genLtrCov(cover, temp, &cSize, maxInS);
  cover = trimSeqs(cover, &cSize);
  //fprintf(stderr, "The trimmed sequences.\n");
  //displaySeqs(cover, cSize);

  //for(i = 0; i <= lenFinal; ++i)
  //  fprintf(stderr, "%i ", renamed[i]);
  //fprintf(stderr, "\n");
  
  for(i = 0; i < cSize; ++i)
    {
    //we go through and pick the first place where the cover will fit as
    //the original then add 11000 each element in this original sequence.
    
    origStart = -1;

    //karpRabinMatch(renamed, cover[i], lenFinal, 11, &origStart);
    getmatch(renamed, cover[i], &origStart);
    if(origStart == -1)
      {
      revNegate(cover[i]);
      //karpRabinMatch(renamed, cover[i], lenFinal, 11, &origStart);
      getmatch(renamed, cover[i], &origStart);
      }
    else ;

    //fprintf(stderr, "Start loc: %i\n", origStart);
    //displaySingSeq(cover[i], 0);
    //fprintf(stderr, "\n");

    for(j = 0; j < cover[i][0]; ++j)
      {
      renamed[origStart + j] = (renamed[origStart + j]) + 11000;
      }

    normalizeSegment(cover[i]);
    //now we put each element that was in this suubsequence into all
    for(j = 1; j <= cover[i][0]; ++j)
      {
      all[allSize] = cover[i][j];
      ++allSize;
      }

    //displaySingSeq(renamed, 0);
    }


  //fprintf(stderr, "renamed\n");
  //for(i = 0; i <= lenFinal; ++i)
  //  fprintf(stderr, "%i ", renamed[i]);
  //fprintf(stderr, "\n");


  //now go through all and for each element replace every occourence with
  //  the next new element name
  int first = 0;
  int last = 0;
  while(last <= lenFinal)
    {
    while(abs(renamed[++first]) > maxInS);   //Get the first copy.
    if(first >= lenFinal)                    //Don't go beyond the end.
      break;
    last = first;

    while((last < lenFinal) && (renamed[last] - renamed[last+1] == -1))
      last++;                                //Find the contiguous region.

    if(renamed[first] > 0)                   //For a positive region
      for(int i=0; i <= last-first; i++)     //label forward.
        renamed[first+i] = renameStart++;
    else                                     //For a negative region
      for(int i=last-first; i >= 0; i--)
        renamed[first+i] = -(renameStart++); //label backwards.

    first = last;
    }

  //fprintf(stderr, "renamed\n");
  //for(i = 0; i <= lenFinal; ++i)
  //  fprintf(stderr, "%i ", renamed[i]);
  //fprintf(stderr, "\n");

  //now undo the shady stuff we did at the beginning
  for(i = 0; i < lenFinal; ++i)
    renamed[i] = renamed[i + 1];

  //now undo the negation that we did on all the orinal sequences
  for(i = 0; i < lenFinal; ++i)
    {
    if(renamed[i] > 6000)
      renamed[i] = renamed[i] - 11000;
    }

  return renamed;
  }

//Stupid case, input array must have at least 2 elem.
//this function takes an array of integers and returns an array of arrays of
//integers each of the returned arrays is a perfectly sorted array from input
//and has been normalized the first elem is the length of the seq. The arg 
//numSeq is set to the number of sequnces in the array.
int** extractPefSeq(int* input, int seqLen, int* numSeq, int maxInS)
{
  int** res;
  int* seqPtr;
  int startLoc;
  int endLoc;
  int i;

  res = (int**) calloc(seqLen + 1, sizeof(int*));
  *numSeq = 0;
  startLoc = 0;
  endLoc = 1;

  while(startLoc < seqLen)
    {
      //if the next elem is part of the perfectly ordered seq
      while(input[endLoc] == input[endLoc - 1] + 1 && abs(input[endLoc]) <= maxInS)
	{
	  ++endLoc;
	}

      //fprintf(stderr, "%i, %i \n", startLoc, endLoc);

      //so now startLoc is the first elem in a perf order seq and endLoc - 1 is the last elem in the seq
      //thus there are (endLoc - startLoc) elems in the seq, plus one for the length info
      seqPtr = (int*) calloc((endLoc - startLoc) + 2, sizeof(int));
      seqPtr[0] = endLoc - startLoc;
      absCopy((input + startLoc), (input + endLoc), seqPtr);
      res[*numSeq] = seqPtr;
      ++(*numSeq);

      //scanout the inserted elements
      while(abs(input[endLoc]) > maxInS)
	++endLoc;

      startLoc = endLoc;
      ++endLoc;
    }

  for(i = 0; i < *numSeq; ++i)
    {
      if(res[i][1] < 0)
	normalizeSegment(res[i]);
      else
	;
    }

  return res;
}


//copy values from startLoc to endloc exclusize of data at endLoc into target
void absCopy(int* startLoc, int *endLoc, int* target)
{
  int i;
  int* cursor;
  i = 1;
  cursor = startLoc;
  while(cursor != endLoc)
    {
      target[i] = *cursor;
      ++i;
      ++cursor;
    }
  return;
}

//This function takes an array of integer arrays and removes any that are strict subsets of another in
//the array. d is the number of elements in the intial input sequence. numSeq is the num of arrays
//in the result and seqLen is the num of seq in the input.
int** removeSub(int** seq, int seqLen, int* numSeq, int d, int q)
{
  int** res;
  int i, j, dummy;
  int notContained;

  *numSeq = 0;
  res = (int**) calloc(seqLen + 1, sizeof(int*));

  for(i = 0; i < seqLen; ++i)
    {
      notContained = 1;
      for(j = 0; j < seqLen; ++j)
	{
	  //fprintf(stderr, "%i %i\n", i, j);
	  //if((i != j) && (seq[j][0] >= seq[i][0]) && karpRabinMatch(seq[j], seq[i], d, q, &dummy))
	  if((i != j) && (seq[j][0] >= seq[i][0]) && getmatch(seq[j], seq[i], &dummy))
	    {
	      if((seq[j][0] == seq[i][0]) && j < i)
		;
	      else
		{
		  //fprintf(stderr, " containment");
		  notContained = 0;
		}
	    }
	  else
	    ;
	}

      if(notContained)
	{
	  res[*numSeq] = seq[i];
	  ++(*numSeq);
	}
      
    }

  return res;
}

int getmatch(int* text, int* pat, int* matchLoc)
{
  int i, j, match;
  for(i = 1; i <= text[0] - pat[0] + 1; ++i)
    {
      match = 1;
      for(j = 0; j < pat[0]; ++j)
	{
	  //fprintf(stderr, "%i %i\n", pat[j + 1], text[i + j]);
	  if(pat[j + 1] == text[i + j])
	    ;
	  else
	    match = 0;
	}

      if(match)
	{
	  *matchLoc = i;
	  return 1;
	}
    }
  return 0;
}

/*
//karp rabin string matching see CLR p.860, returns 1 if P is a substring of T 0 otherwise
//Note P must have a length less than T.
int karpRabinMatch(int* T, int* P, int d, int q, int* matchLoc)
{
  int n, m, h, p, ts, i, s, shiftFound;
  n = T[0];
  m = P[0];
  h = ((int) pow(d, m - 1)) % q;
  p = 0;
  ts = 0;
  
  //debug
  
  fprintf(stderr, "Karp Rabin\n");
  for(i = 1; i <= T[0]; ++i)
    fprintf(stderr, "%i ", T[i]);
  fprintf(stderr, "\n");
  for(i = 1; i <= P[0]; ++i)
    fprintf(stderr, "%i ", P[i]);
  fprintf(stderr, "\n");
  

  for(i = 1; i <= m; ++i)
    {
      p = ((p * d) + P[i]) % q;
      ts = ((ts * d) + T[i]) % q;
    }

  for(s = 0; s <= n - m; ++s)
    {
      fprintf(stderr, "kr %i %i ", p, ts);
      if(p == ts)
	{
	  fprintf(stderr, "found %i\n", s);
	  //shiftFound = 1;
	  for(i = 1; i <= m; ++i)
	    {
	      if(P[i] == T[i + s])
		;
	      else
		shiftFound = 0;
	    }
	  
	  if(shiftFound)
	    {
	      *matchLoc = s;
	      return 1;
	    }
	}
      else
	{
	  if(s < n - m)
	    ts = ((d * (ts - (T[s + 1] * h))) + T[s + m + 1]) % q;
	}
    }
  return 0;
}
*/

int** genLtrCov(int** seq, int seqLen, int* numSeq, int maxElem)
{
  int i, j, rightMost, maxFound, maxIndex = 0, foundOne;
  int** res;

  rightMost = 0;
  maxFound = 0;
  j = 0;
  res = (int**) calloc(seqLen + 1, sizeof(int*));

  while(rightMost < maxElem)
    {
      foundOne = 0;
      //find the next ltr element to add
      for(i = 0; i < seqLen; ++i)
	{
	  //if the min elem is to the left of the current rightmost elem and it goes further left than anyone
	  //else we have seen pick it.
	  //fprintf(stderr, "%i %i %i %i\n", rightMost, maxFound, seq[i][1], seq[i][seq[i][0]]);

	  //if we can't find any seq to cover the gap it may be that this seq has been deleted
	  //so just index rightMost by one later in the function

	  if(seq[i][1] <= rightMost + 1 && seq[i][seq[i][0]] > maxFound)
	    {
	      maxFound = seq[i][seq[i][0]];
	      maxIndex = i;
	      foundOne = 1;
	    }
	}

      if(foundOne)
	{
	  //now we found the best choice for the next step so pick it
	  //fprintf(stderr, "picked index %i\n", maxIndex);
	  res[j] = seq[maxIndex];
	  rightMost = maxFound;
	  ++j;
	}
      else
	++rightMost;
    }
  *numSeq = j;
  return res;
}

//take a contigious sequence that is negative switch all the signs and reverse it
void normalizeSegment(int* seq)
{
  int i, temp, lastIndex;

  lastIndex = seq[0];

  for(i = 1; i <= (int) ceil(lastIndex / 2.0); ++i)
    {
      temp = abs(seq[i]);
      seq[i] = abs(seq[lastIndex - i + 1]);
      seq[lastIndex - i + 1] = temp;
    }
  return;
}


//key note we hose the data in seq
int** trimSeqs(int** seq, int* seqLen)
{
  int newSeqLen;
  int all[10000];
  int i, j, allSize, newSize;

  allSize = 0;
  newSeqLen = 0;

  for(i = 0; i < *seqLen; ++i)
    {
      newSize = 1;

    //  displaySingSeq(seq[i], 0);
    //  fprintf(stderr, "\n");

      for(j = 1; j <= seq[i][0]; ++j)
	{
	 // fprintf(stderr, "in loop, %i\n", seq[i][j]);
	  if(!memberArray(all, allSize, seq[i][j]))
	    {
//cerr << "   begin: " << i << "," << &seq[i][j] << " ";
	      //put the elem in all
	      all[allSize] = seq[i][j];
	      ++allSize;
//cerr << "   middle: " << i << "," << &seq[i][j] << " ";

	      //put the element in the trimmed array
	      seq[i][newSize] = seq[i][j];
	      ++newSize;
//cerr << "   end" << endl;
	    }
	}
  //    fprintf(stderr, "newSize %i\n", newSize);
      if(newSize > 0)
	{
	  seq[newSeqLen][0] = newSize - 1;
	  ++newSeqLen;
	}
    }
  
  *seqLen = newSeqLen;
  //displaySeqs(seq, *seqLen);
  return seq;
}

int memberArray(int* array, int aSize, int elem)
{
  int i;
  //fprintf(stderr, "%i\n", elem);
  for(i = 0; i < aSize; ++i)
    {
      if(elem == array[i])
	return 1;
    }
  return 0;
}

void displaySeqs(int** seqs, int seqCount)
{
  int i;
  fprintf(stderr, "(");
  for(i = 0; i < seqCount; ++i)
    {
      //fprintf(stderr, "seq len: %i ,", seqs[i][0]);
      displaySingSeq(seqs[i], seqCount == (i + 1));
    }
  fprintf(stderr, ")\n");
}

void displaySingSeq(int* seq, int lastFlag)
{
  int j;
  fprintf(stderr, "(");
  for(j = 1; j <= seq[0]; ++j)
    {
      if(j == seq[0])
	fprintf(stderr, "%i", seq[j]);
      else
	fprintf(stderr, "%i, ", seq[j]);
    }

  if(lastFlag)
    fprintf(stderr, ")");
  else
    fprintf(stderr, ") ");

  return;
}

void revNegate(int* seq)
{
  int i, temp, lastIndex;

  lastIndex = seq[0];

  for(i = 1; i <= (int) ceil(lastIndex / 2.0); ++i)
    {
      temp = seq[i] * -1;
      seq[i] = seq[lastIndex - i + 1] * -1;
      seq[lastIndex - i + 1] = temp;
    }
  return;
}

//That's right it's bubble fucking sort, yeah
void bsort(int* arr, int len)
{
  int i, j, temp;
  for(i = 0; i < len; ++i)
    {
      for(j = 0; j < len - 1; ++j)
	{
	  if(arr[j] > arr[j+1])
	    {
	      temp = arr[j+1];
	      arr[j+1] = arr[j];
	      arr[j] = temp;
	    }
	  else;
	}
    }
}
