#ifndef GENCOV
#define GENCOV
//This file implements the cover generation part of the algorithm

#include <cstdio>
#include <iostream>
#include <cstdlib>
#include <cmath>

//this is the method you care about
//renameStart is the first int we will use in the renaming, maxInS is the
//biggest elem in the core of S
int* renameCopies(int* S_final, int lenFinal, int renameStart, int MaxInS);

void absCopy(int* startLoc, int *endLoc, int* target);
int** extractPefSeq(int* input, int seqLen, int* numSeq, int maxInS);
int** removeSub(int** seq, int seqLen, int* numSeq, int d, int q);
int** genLtrCov(int** seq, int seqLen, int* numSeq, int maxElem);
int** trimSeqs(int** seq, int* seqLen); //we hose the seq
int memberArray(int* array, int aSize, int elem);
//int karpRabinMatch(int* seq1, int* seq2, int d, int q, int* matchLoc);
int getmatch(int* text, int* pat, int* matchLoc);
void normalizeSegment(int* seq);
void revNegate(int* seq);
void displaySingSeq(int* seq, int lastFlag);
void displaySeqs(int** seqs, int seqCount);
void bsort(int* arr, int len);


#endif
